
#ifndef CPP_START_TIME_ELAPSED_ASPECT_H
#define CPP_START_TIME_ELAPSED_ASPECT_H

#include <iostream>
#include "../util/stop_watch.h"

class TimeElapsedAspect {
private:
    StopWatch mStopWatch;
public:

    void before(int a) {
        mStopWatch.reset();
    }

    void after(int a) {
        std::cout << "cost time : " << mStopWatch.elapsed() << " ms" << std::endl;
    }
};


#endif //CPP_START_TIME_ELAPSED_ASPECT_H
